Project

General

Profile

Tâche #33682

Scénario #33481: Zéphir : alertes par email non envoyées

Corriger les nouveaux appel aux lib

Added by Matthieu Lamalle over 2 years ago. Updated over 2 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
01/17/2022
Due date:
% Done:

100%

Remaining (hours):
0.0

Associated revisions

Revision d7bd8faa (diff)
Added by Matthieu Lamalle over 2 years ago

Correction apppel libs mimetext et configuration smtplib pour ssl ref #33682

Revision 8c3db6b1 (diff)
Added by Emmanuel GARETTE over 2 years ago

préciser le nom d'hôte dans SMTP (ref #33682)

History

#1 Updated by Matthieu Lamalle over 2 years ago

  • Status changed from Nouveau to En cours

#2 Updated by Ludwig Seys over 2 years ago

  • Assigned To set to Matthieu Lamalle

#3 Updated by Emmanuel GARETTE over 2 years ago

Le serveur local n'accepte pas la connexion SSL :

==> /var/log/rsyslog/local/exim/exim.info.log <==
2022-02-03T09:07:24.731139+01:00 zephir.ac-test.fr exim[5291]: 2022-02-03 09:07:24 SMTP protocol synchronization error (input sent without waiting for greeting): rejected connection from H=[127.0.0.1] input="\026\003\001\002" 

==> /var/log/rsyslog/local/zephir_backend/zephir_backend.info.log <==
2022-02-03T09:07:24.731332+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [-] Erreur interne rencontrée lors de l'envoi d'alertes (mail)
2022-02-03T09:07:24.731409+01:00 zephir.ac-test.fr zephir_backend: [-] Erreur interne rencontrée lors de l'envoi d'alertes (mail)
2022-02-03T09:07:24.739600+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error] Traceback (most recent call last):
2022-02-03T09:07:24.739724+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3/dist-packages/zephir/backend/uucp_rpc.py", line 1088, in _sendmail
2022-02-03T09:07:24.739896+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     smtplib.SMTP_SSL(host=config.MAIL_ADRESSE).connect(host=config.MAIL_ADRESSE, port= config.MAIL_PORT)
2022-02-03T09:07:24.739931+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 1043, in __init__
2022-02-03T09:07:24.740029+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     SMTP.__init__(self, host, port, local_hostname, timeout,
2022-02-03T09:07:24.740067+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 255, in __init__
2022-02-03T09:07:24.740174+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     (code, msg) = self.connect(host, port)
2022-02-03T09:07:24.740208+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 339, in connect
2022-02-03T09:07:24.740242+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     self.sock = self._get_socket(host, port, self.timeout)
2022-02-03T09:07:24.740338+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 1051, in _get_socket
2022-02-03T09:07:24.740379+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     new_socket = self.context.wrap_socket(new_socket,
2022-02-03T09:07:24.740484+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/ssl.py", line 500, in wrap_socket
2022-02-03T09:07:24.740523+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     return self.sslsocket_class._create(
2022-02-03T09:07:24.740556+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/ssl.py", line 1040, in _create
2022-02-03T09:07:24.740649+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     self.do_handshake()
2022-02-03T09:07:24.740683+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/ssl.py", line 1309, in do_handshake
2022-02-03T09:07:24.740790+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     self._sslobj.do_handshake()
2022-02-03T09:07:24.740828+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error] ssl.SSLError: [SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:1131)
2022-02-03T09:07:24.740924+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error] During handling of the above exception, another exception occurred:
2022-02-03T09:07:24.741021+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error] Traceback (most recent call last):
2022-02-03T09:07:24.741118+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3/dist-packages/zephir/backend/uucp_rpc.py", line 1364, in _send_alerte3
2022-02-03T09:07:24.741153+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     envoi_ok, detail = self._sendmail(destinataires,subject + str(list(msg.keys())),"\n".join(list(msg.values())))
2022-02-03T09:07:24.741265+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3/dist-packages/zephir/backend/uucp_rpc.py", line 1093, in _sendmail
2022-02-03T09:07:24.741298+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     mail_client.quit()
2022-02-03T09:07:24.741392+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 997, in quit
2022-02-03T09:07:24.741426+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     res = self.docmd("quit")
2022-02-03T09:07:24.741459+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 424, in docmd
2022-02-03T09:07:24.741552+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     self.putcmd(cmd, args)
2022-02-03T09:07:24.741583+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 371, in putcmd
2022-02-03T09:07:24.741687+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     self.send(str)
2022-02-03T09:07:24.741723+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]   File "/usr/lib/python3.8/smtplib.py", line 363, in send
2022-02-03T09:07:24.741827+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error]     raise SMTPServerDisconnected('please run connect() first')
2022-02-03T09:07:24.741874+01:00 zephir.ac-test.fr zephir_backend[1167]: 2022-02-03T09:07:24+0100 [stderr#error] smtplib.SMTPServerDisconnected: please run connect() first

#4 Updated by Emmanuel GARETTE over 2 years ago

  • Status changed from En cours to Résolu

#5 Updated by Joël Cuissinat over 2 years ago

zephir-parc$ git branch -r --contains 8c3db6b1  
  origin/2.8.0/master
  origin/2.8.1/master
  origin/HEAD -> origin/master
  origin/dist/eole/2.8.0/master
  origin/dist/eole/2.8.1/master
  origin/dist/eole/2.9.0/master
  origin/master

#6 Updated by Joël Cuissinat over 2 years ago

  • Status changed from Résolu to Fermé
  • % Done changed from 0 to 100
  • Remaining (hours) set to 0.0

Also available in: Atom PDF